#include <QApplication>
#include <QTranslator>  //pour les traductions
#include <QLocale>      //pour les traductions
#include <QFileInfo>    //pour les traductions
#include "demowindow.h"

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);

//pour les traductions début
    QString dirExe=argv[0];
    dirExe = QFileInfo(dirExe).absolutePath();
    QString locale = QLocale::system().name();
    QTranslator translator;
    translator.load(dirExe+"/demo_" + locale); 
    app.installTranslator(&translator);
//pour les traductions fin

    DemoWindow mainWin;
    mainWin.show();
    return app.exec();
}
